JUnit4GrailsTestType (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.junit4

## [Groovy] Class JUnit4GrailsTestType

- org.codehaus.groovy.grails.test.junit4.JUnit4GrailsTestType

- An `GrailsTestType` for JUnit4 tests.

  deprecated:
    No longer used to support alternate JUnit4 test runners

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GrailsTestMode` | `mode` |
    `protected java.lang.Object` | `suite` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.util.List<java.lang.String>` | `SUFFIXES`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JUnit4GrailsTestType (java.lang.String name, java.lang.String sourceDirectory)`
    `JUnit4GrailsTestType (java.lang.String name, java.lang.String sourceDirectory, GrailsTestMode mode)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `createJUnitReportsFactory()`
    `protected java.lang.Object` | `createListener(GrailsTestEventPublisher eventPublisher)`
    `protected java.lang.Object` | `createNotifier(java.lang.Object eventPublisher)`
    `protected java.lang.Object` | `createRunnerBuilder()`
    `protected java.lang.Object` | `createSuite(java.lang.Object classes)`
    `protected int` | `doPrepare()`
    `protected GrailsTestTypeResult` | `doRun(GrailsTestEventPublisher eventPublisher)`
    `protected java.lang.Object` | `getTestClasses()`
    `protected java.util.List<java.lang.String>` | `getTestSuffixes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsTestTypeSupport` | `cleanup, createSystemOutAndErrSwapper, doPrepare, doRun, eachSourceFile, findSourceFiles, getApplicationContext, getSourceDir, getTestClassLoader, getTestExtensions, getTestSuffixes, loadClass, prepare, run, sourceFileToClass, sourceFileToClassFile, sourceFileToClassName`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected GrailsTestMode mode

    - #### protected java.lang.Object suite

  - ### Property Detail

    - #### static final java.util.List<java.lang.String> SUFFIXES

  - ### Constructor Detail

    - #### JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory)

    - #### JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory, GrailsTestMode mode)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic protected java.lang.Object createJUnitReportsFactory()

    - #### protected java.lang.Object createListener(GrailsTestEventPublisher eventPublisher)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.lang.Object createNotifier(java.lang.Object eventPublisher)

    - #### protected java.lang.Object createRunnerBuilder()

    - #### protected java.lang.Object createSuite(java.lang.Object classes)

    - #### protected int doPrepare()

    - #### protected GrailsTestTypeResult doRun(GrailsTestEventPublisher eventPublisher)

    - #### protected java.lang.Object getTestClasses()

    - #### protected java.util.List<java.lang.String> getTestSuffixes()